@import '../variables.scss';

.hamburger-menu {
  width: 1.37rem;
  height: 1.19rem;

  &__header {
    font-size: $text-sm;
    color: $bia-gray;
    font-weight: 700;

    &--subitem{
      font-weight: 500;
      font-size: $text-md;
    }
  }

  &__body{
    top: $header-height;
    left: 0;
    max-height: 100vh;
    height: 100%;
    overflow: scroll;
    width: 100%;
    background: $bia-white;
    z-index: 3;
    transition: left 0.2s ease-out, right 0.2s ease-out;
  }

  &--closed{
    left: -100%;
  }

  &__item {
    font-size: $text-md;
    font-weight: 500;
    color: $bia-gray;

    &--subitem {
      color: $bia-gray-light;
      font-size: $text-sm;
      text-transform: uppercase;
    }
  }

  &__actions {
    color: $bia-gray;
  }

  &__back {
    font-size: $text-sm;
    font-weight: 700;
  }

  &__close {
    font-size: 2rem;
    font-weight: 100;
  }

  &__arrow {
    font-size: 1.5rem;
  }

  &__background {
    top: 0;
    left: 0;
    z-index: 2;
    background-color: $bia-black;
    opacity: 0.28;
    transition: opacity 0.2s ease-out;
    height: $header-height;
    width: 100%;

    &--faded {
      opacity: 0;
      z-index: -1;
      transition: opacity 0.2s ease-out, z-index 0s ease 0.2s;
    }
  }
}

@media (min-width: $lg) {
  .hamburger-menu {
    &__body, &__background {
      width: 30vw;
    }

    &__body {
      box-shadow: $box-shadow;
      height: 100vw;
      border-right: 1px solid $bia-gray;
    }
  }
}

@media (min-width: $xl) {
  .hamburger-menu {
    &__body, &__background {
      width: 25vw;
    }
  }
}
